%define major   3
%define minor   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           assimp
Version:        3.3.1
Release:        %mkrel 1
Summary:        Library to import various 3D model formats into applications
Group:          Graphics
License:        BSD
URL:            http://www.assimp.org
Source0:        https://github.com/assimp/assimp/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         assimp-3.3.1-mga-fdr-system-poly2tri-clipper.patch
Patch1:         assimp-3.3.1-mga-system-unzip.patch
Patch2:         0001-Assimp-cmake-provider-fix.patch
Patch10:        assimp-3.3.1-install-pkgconfig.patch
Patch100:       0001-Morph-animation-support-for-collada.patch
Patch101:       0001-Enable-doxygen-been-properly-used-from-cmake-build-a.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  pkgconfig(zlib)

%description
Assimp, the Open Asset Import Library, is a free library to import various
well-known 3D model formats into applications. Assimp aims to provide a full
asset conversion pipeline for use in game engines and real-time rendering
systems, but is not limited to these applications.

This package contains the assimp binary, a tool to work with various formats.

%files
%{_bindir}/%{name}

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library to import various 3D model formats into applications
Group:          System/Libraries

%description -n %{libname}
Assimp, the Open Asset Import Library, is a free library to import various
well-known 3D model formats into applications. Assimp aims to provide a full
asset conversion pipeline for use in game engines and real-time rendering
systems, but is not limited to these applications.

%files -n       %{libname}
%doc Readme.md LICENSE CREDITS CHANGES
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Header files and development libraries for assimp
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the header files and development libraries for assimp.
You need to install it if you want to develop programs using assimp.

%files -n       %{devname}
%doc doc/AssimpDoc_Html
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}-%{major}.%{minor}
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package        doc
Summary:        Assimp documentation
Group:          Documentation
BuildArch:      noarch

%description    doc
This package contains the Assimp documentation.

%files          doc
%{_docdir}/%{name}-%{version}/

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# Get rid of bundled libs so we can't accidently build against them
#rm -rf contrib/clipper
rm -rf contrib/cppunit-1.12.1
rm -rf contrib/poly2tri
rm -rf contrib/unzip
rm -rf contrib/zlib

dos2unix CHANGES CREDITS LICENSE Readme.md

%build
%cmake -DASSIMP_BUILD_TESTS:BOOL=NO \
       -DASSIMP_LIB_INSTALL_DIR:PATH=%{_libdir} \
       -DASSIMP_BIN_INSTALL_DIR=%{_bindir} \
       -DASSIMP_INCLUDE_INSTALL_DIR=%{_includedir} \
       -DBUILD_DOCS=ON \
       -DHTML_OUTPUT=%{name}-%{version} \
       -DCMAKE_INSTALL_DOCDIR=%{_docdir} \
       -DPOLY2TRI_LIB_PATH:PATH=%{_libdir} \
       -DPOLY2TRI_INCLUDE_PATH:PATH=%{_includedir}/poly2tri

%make_build

%install
rm -rf %buildroot
%make_install -C build


%changelog
* Wed Aug 16 2017 bb2 <bb2> 3.3.1-1pclos2017
- import from france
